%define __libtoolize    /bin/true
%define __cputoolize /bin/true
%define name	PCLinuxOS-PVR
%define version 0.3
%define release %mkrel 2

Name: 	 	%{name}
Summary: 	PCLinuxOS-PVR - Video capture Utility
Version: 	%{version}
Release: 	%{release}
Source:		%{name}-%{version}.tar.xz
URL:		http://pclinuxos.com/
License:	GPL
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-%{version}
Requires:	mencoder
Requires:	gtkdialog

%description
PCLinuxOS-PVR is a simple, lightweight application designed
to make it easy to record (time shift) from a TV tuner card,
or from any other video source recognized by V4L and V4L2. 
PCLinuxOS-PVR is a GUI-enhanced bash script, courtesy of
gtkdialog.


%prep

%setup -q 

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
install -m 755 pclinuxos-pvr  $RPM_BUILD_ROOT/%{_sbindir}

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/pixmaps/
install -m 777 pcloslogo.png  $RPM_BUILD_ROOT/%{_datadir}/pixmaps/

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/icons/
install -m 777 media-record.png $RPM_BUILD_ROOT/%{_datadir}/icons/

mkdir -p %buildroot%{_datadir}/applications
cat > %buildroot%{_datadir}/applications/pclinuxos-pvr.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=PCLinuxOS-PVR v0.3
Comment=Video recording application
Exec=/usr/sbin/pclinuxos-pvr
Icon=media-record.png
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-Multimedia-Video;Video;AudioVideo;AudioVideoEditing;GTK;
EOF

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%{_sbindir}/pclinuxos-pvr
%{_datadir}/applications/pclinuxos-pvr.desktop
%{_datadir}/pixmaps/pcloslogo.png
%{_datadir}/icons/media-record.png



%changelog
* Thu Feb 10 2011 Sproggy <desproggster@gmail.com> 0.3-2pclos2011
- menu update

* Thu Feb 10 2011 Sproggy <desproggster@gmail.com> 0.3-1pclos2011
- initial build
